Description

Trying to test the Vector analysis tools | Hub lines tool using QGIS sample data (airports and populated places).

The tool always fails with the error "No spoke/hub matches found to create lines" even though Distance to nearest hub tool - which also

has a line output option - succeeds.

Does Hub lines only work for point layers which share common ids instead of finding the nearest hub? If that's the case, the GUI does not

make that clear.

History

#1 - 2014-03-25 07:53 AM - Alexander Bruy

From MMQGIS help

The hub lines tool creates hub and spoke diagrams with lines drawn from points on the "Spoke Point" layer to matching points in the "Hub Point"

layer. Determination of which hub goes with each point is based on a match between the "Hub ID Attribute" on the hub points and the "Spoke Hub

ID Attribute" on the spoke points.

The lines are output to a shapefile of lines and each line inherits all attributes from the matching spoke points.

No attempt is made to transform between coordinate systems, so using source and hub layers with different coordinate systems may yield odd and

undesirable results. This tool also does not incorporate any kind of network awareness (e.g. as when dealing with streets between city blocks), and

all lines are straight lines from spoke to hub.

#2 - 2014-03-25 08:59 AM - Anita Graser

Ok, so that's another case of missing documentation.

#3 - 2014-09-14 03:24 AM - Alexander Bruy

- Subject changed from Processing - Hub line fails "No spoke/hub matches found to create lines" to Hub lines tool needs documentation

#4 - 2014-11-29 02:16 AM - Alexander Bruy

- Status changed from Open to In Progress

Documentation for Processing algorithms now included in User Guide
#5 - 2014-12-11 01:15 AM - Alexander Bruy

- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

Now tool used documentation from online User Guide. Please reopen if necessary.

#6 - 2015-06-07 04:33 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
